wcslib (8.2.2+ds-3build1) noble; urgency=high

  * No change rebuild against libcfitsio10t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:59:10 +0100

wcslib (8.2.2+ds-3) unstable; urgency=medium

  * Fix test for ppc64el in CI Fortran check

 -- Ole Streicher <olebole@debian.org>  Fri, 22 Dec 2023 15:25:27 +0100

wcslib (8.2.2+ds-2) unstable; urgency=medium

  * Skip CI Fortran test of ppc64el machines

 -- Ole Streicher <olebole@debian.org>  Thu, 21 Dec 2023 10:14:43 +0100

wcslib (8.2.2+ds-1) unstable; urgency=medium

  * New upstream version 8.2.2+ds
  * Rediff patches
  * Fix order of shared/static lib build (Closes: #1058274)
  * Remove symbols accidently exported in wcslib-8.1

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Dec 2023 11:48:11 +0100

wcslib (8.2.1+ds-1) unstable; urgency=medium

  * New upstream version 8.2.1+ds
  * Rediff patches
  * Temporarily use dh_missing --list-missing

 -- Ole Streicher <olebole@debian.org>  Wed, 22 Nov 2023 23:21:40 +0100

wcslib (8.1+ds-2) unstable; urgency=medium

  * switch back to unstable to start transition

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Jul 2023 13:02:40 +0200

wcslib (8.1+ds-1) experimental; urgency=medium

  * New upstream version 8.1+ds
  * Rediff patches
  * Change soversion to 8. Switch to experimental to prepare transition.
  * Push Standards-Version to 4.6.2. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Thu, 06 Jul 2023 08:57:58 +0200

wcslib (7.12+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
  * Fix day-of-week for changelog entry 4.13.4-1.

  [ Ole Streicher ]
  * New upstream version 7.12+ds
  * Rediff patches
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 09 Sep 2022 09:00:32 +0200

wcslib (7.11+ds-1) unstable; urgency=medium

  * Don't try to install wcslib.pdf
  * New upstream version 7.11+ds
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Apr 2022 18:37:33 +0200

wcslib (7.9+ds-1) unstable; urgency=medium

  * Add generated PDF to ds-excluded
  * New upstream version 7.9+ds
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 26 Mar 2022 10:18:24 +0100

wcslib (7.8+ds-1) unstable; urgency=medium

  * New upstream version 7.8+ds
  * Rediff patches
  * Remove outdated Breaks/Conflicts
  * Adjust Fortran test

 -- Ole Streicher <olebole@debian.org>  Fri, 25 Mar 2022 16:03:42 +0100

wcslib (7.7+ds-1) unstable; urgency=medium

  * New upstream version 7.7+ds
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed
  * Add tofits tool to wcslib-tools

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Aug 2021 11:48:35 +0200

wcslib (7.6+ds-1) unstable; urgency=medium

  * New upstream version 7.6+ds
  * Rediff patches
  * Package new tool sundazel
  * Adjust libwcs7 symbols table

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Apr 2021 08:33:21 +0200

wcslib (7.4+ds-2) unstable; urgency=medium

  * Add confllicts for older astropy version

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Feb 2021 20:45:14 +0100

wcslib (7.4+ds-1) unstable; urgency=medium

  * New upstream version 7.4+ds
  * Rediff patches
  * Push Standards-Verion to 4.5.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 31 Jan 2021 17:25:58 +0100

wcslib (7.3.1+ds-1) unstable; urgency=low

  * New upstream version 7.3.1+ds. Rediff patches
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Fri, 21 Aug 2020 09:07:49 +0200

wcslib (7.3+ds-4) unstable; urgency=medium

  * Replace -fallow-argument-mismatch option with -std=legacy in F77 test

 -- Ole Streicher <olebole@debian.org>  Wed, 05 Aug 2020 14:21:53 +0200

wcslib (7.3+ds-3) unstable; urgency=medium

  * Update Fortran CI test to pass on gcc-10. Closes: #966432

 -- Ole Streicher <olebole@debian.org>  Wed, 29 Jul 2020 16:02:43 +0200

wcslib (7.3+ds-2) unstable; urgency=medium

  * Don't fail on argument mismatch when compiling F77 tests (Closes: #957925)

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Jul 2020 10:48:19 +0200

wcslib (7.3+ds-1) unstable; urgency=low

  * New upstream version 7.3+ds. Rediff patches
  * Push dh-compat to 13. Document files that are not installed
  * Add new symbols to libwcs7.symbols

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Jun 2020 10:36:06 +0200

wcslib (7.2+ds-1) unstable; urgency=low

  * New upstream version 7.2+ds. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 10 Mar 2020 08:19:53 +0100

wcslib (7.1+ds-2) unstable; urgency=low

  * Switch back to unstable to start transition
  * Push Standards-Version to 4.5.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 17 Feb 2020 19:59:28 +0100

wcslib (7.1+ds-1) experimental; urgency=medium

  * New upstream version 7.1. Rediff patches
  * Add +ds to repackaged tarball
  * Adjust package names to new soversion
  * Adjust symbols file
  * Push Standards-Version to 4.4.1. No changes needed.
  * Use AUTOPKGTEST_TMP instead of deprecated var
  * Add LDFLAGS to the generation of doxextr

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Jan 2020 09:04:40 +0100

wcslib (6.4-1) unstable; urgency=low

  * New upstream version 6.4. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Aug 2019 16:10:48 +0200

wcslib (6.3-2) unstable; urgency=low

  * Don't include getwcstab_f.c which requires cfitsio linking

 -- Ole Streicher <olebole@debian.org>  Thu, 01 Aug 2019 09:30:59 +0200

wcslib (6.3-1) unstable; urgency=low

  * New upstream version 6.3. Rediff patches.
  * Push Standards-Version to 4.4.0. No changes needed
  * Replace d/compat by dbhelper-compat build dependency
  * Add new symbols to libwcs6 symbols table

 -- Ole Streicher <olebole@debian.org>  Wed, 31 Jul 2019 14:19:10 +0200

wcslib (6.2-2) unstable; urgency=medium

  * Don't build PDF documentation (Closes: #921839, #921295)
  * Add Gitlab CI configuration file
  * Push Standards-Version to 4.3.0. No changes needed
  * Push compat to 12

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Feb 2019 14:57:57 +0100

wcslib (6.2-1) unstable; urgency=low

  * New upstream version 6.2. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 20 Oct 2018 13:37:36 +0200

wcslib (6.1-2) unstable; urgency=low

  * Switch to unstable to start transition

 -- Ole Streicher <olebole@debian.org>  Sat, 20 Oct 2018 11:15:09 +0200

wcslib (6.1-1) experimental; urgency=medium

  * New upstream version 6.1. Rediff patches
  * Push SOVERSION to 6. Switch to experimental to prepare transition.
  * Adjust libwcs symbols table

 -- Ole Streicher <olebole@debian.org>  Fri, 19 Oct 2018 16:04:46 +0200

wcslib (5.20-1) unstable; urgency=medium

  * New upstream version 5.20. Rediff patches
  * Adjust symbols file
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 09 Oct 2018 11:03:15 +0200

wcslib (5.19.1-1) unstable; urgency=low

  * New upstream version 5.19.1
  * Rediff patches, and rename according to gbp
  * Push Standards-Version to 4.1.5. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Jul 2018 20:02:22 +0800

wcslib (5.18-1) unstable; urgency=medium

  * New upstream version 5.18
  * Rediff patches. Drop fix_ar_timestamp.patch: obsoleted upstream
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.1.3. Change URLs to https
  * Update symbols file
  * Remove use of autotools_dev debhelper
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Tue, 27 Feb 2018 20:32:40 +0100

wcslib (5.17-1) unstable; urgency=low

  * New upstream version 5.17
  * Rediff patches
  * Push Standards-Version to 4.1.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Sep 2017 21:03:59 +0200

wcslib (5.16-1) unstable; urgency=low

  * New upstream version 5.16
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Jan 2017 16:37:33 +0100

wcslib (5.15-2) unstable; urgency=low

  * Use dynamic linking for wcslib-tools instead of static
  * Move libpgsbox and wcsgrid from contrib
  * Add CI tests
  * Update standards-version to 3.9.8 (no changes)

 -- Ole Streicher <olebole@debian.org>  Mon, 27 Jun 2016 12:11:54 +0200

wcslib (5.15-1) unstable; urgency=low

  * New upstream version
  * Update standards-version to 3.9.7 (no changes)
  * Update VCS fields, add d/u/metadata

 -- Ole Streicher <olebole@debian.org>  Tue, 05 Apr 2016 15:24:21 +0200

wcslib (5.14-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Sun, 07 Feb 2016 13:56:26 +0100

wcslib (5.13-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Jan 2016 14:43:12 +0100

wcslib (5.12-1) unstable; urgency=low

  * Move back to unstable for the transition

 -- Ole Streicher <olebole@debian.org>  Wed, 23 Dec 2015 11:02:23 +0100

wcslib (5.12-1~exp1) experimental; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Nov 2015 09:25:58 +0100

wcslib (5.11-1~exp1) experimental; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Oct 2015 10:14:45 +0200

wcslib (5.10-1~exp1) experimental; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Oct 2015 09:03:33 +0200

wcslib (5.3.1-1~exp1) experimental; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Jun 2015 13:50:07 +0200

wcslib (5.1-1~exp1) experimental; urgency=low

  * New upstream version
  * Update standards version to 3.9.6. No changes needed.
  * Added symbols file

 -- Ole Streicher <olebole@debian.org>  Wed, 08 Apr 2015 10:40:35 +0200

wcslib (4.25.1-1~exp1) experimental; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Jan 2015 13:30:52 +0100

wcslib (4.24-1) unstable; urgency=low

  * New upstream version
  * build-depend on libcfitsio-dev instead of libcfitsio3-dev. Closes: #761721
  * Update uploader e-mail

 -- Ole Streicher <olebole@debian.org>  Thu, 18 Sep 2014 22:12:03 +0200

wcslib (4.23-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 13 May 2014 10:29:41 +0200

wcslib (4.22-1) unstable; urgency=low

  * New upstream version
  * Change maintainer and VCS location to debian-astro

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 13 Apr 2014 11:32:15 +0200

wcslib (4.20-2) unstable; urgency=low

  * [Colin Watson] Don't run dh_auto_clean if makedefs doesn't exist,
    since that would end up running configure before autoreconf has been
    run and thus fail on new ports. Closes: #733679

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 01 Jan 2014 13:23:03 +0100

wcslib (4.20-1) unstable; urgency=low

  * New upstream version.
  * Push standard version to 3.9.5 (no changes)

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 18 Dec 2013 12:01:46 +0100

wcslib (4.19-3) unstable; urgency=low

  * update config.{sub,guess} for the AArch64 port.

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 02 Nov 2013 16:41:15 +0100

wcslib (4.19-2) unstable; urgency=low

  * Propagate CFLAGS and LDFLAGS to Fortran and test.

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 01 Oct 2013 23:49:21 +0200

wcslib (4.19-1) unstable; urgency=low

  * New upstream version. Closes: #715907

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 01 Oct 2013 19:28:10 +0200

wcslib (4.18-1) unstable; urgency=low

  * New upstream version
  * Push standard version to 4.9.4 (no changes)

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 21 Jul 2013 18:31:47 +0200

wcslib (4.17-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 29 Jan 2013 10:04:37 +0100

wcslib (4.16-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 07 Nov 2012 13:30:45 +0100

wcslib (4.15-11) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 27 Sep 2012 09:40:18 +0200

wcslib (4.14-1) unstable; urgency=low

   * New upstream version
   * Set Maintainers to Debian Science Maintainers
   * Allow DM-Upload

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 15 Jul 2012 16:50:00 +0200

wcslib (4.13.4-1) unstable; urgency=low

  * New upstream version
  * Multiarch support
  * Remove PACKAGE_* defines from header file
  * Increase tolerances of tspx tests, disable Fortran tests completely.
    Closes: #663154

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 28 Mar 2012 10:00:00 +0100

wcslib (4.13.1-1) unstable; urgency=low

  * New upstream version
  * Excplicitely link library with -lm

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 15 Mar 2012 22:00:00 +0100

wcslib (4.12-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 04 Mar 2012 17:00:00 +0100

wcslib (4.11-1) unstable; urgency=low

  * New upstream version
  * Include upstream changelog and THANKS file

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 23 Feb 2012 09:54:22 +0100

wcslib (4.10-1) unstable; urgency=low

  * New upstream version
  * Add wcslib.pc to dev package. Closes: #650602

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 10 Feb 2012 16:33:25 +0100

wcslib (4.8.3-1) unstable; urgency=low

  * New upstream version
  * Fix "suggest" dependency for wcslib-doc
  * Remove "help2man" build dependency
  * Add format version information to copyright file

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 21 Nov 2011 16:40:00 +0200

wcslib (4.8.2-1) unstable; urgency=low

  * New package. Closes: #641624

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 04 Oct 2011 11:15:00 +0200
